#################################################
#
#  (C) 2016 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################


include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### khighscore (static) #######################

tde_add_library( khighscore STATIC_PIC AUTOMOC
  SOURCES tdeconfigrawbackend.cpp tdefilelock.cpp khighscore.cpp
    kscoredialog.cpp kexthighscore_item.cpp kexthighscore_internal.cpp
    kexthighscore_tab.cpp kexthighscore_gui.cpp kexthighscore.cpp
)


##### headers ###################################

install( FILES khighscore.h kscoredialog.h kexthighscore_item.h
    kexthighscore.h
  DESTINATION ${INCLUDE_INSTALL_DIR}
)
